Browse code

Rehashing certificates for Bosh-Agent

Change-Id: I0818478f53134badba3a5f9fa67f50bcb3c4c386
Reviewed-on: http://photon-jenkins.eng.vmware.com:8082/4925
Tested-by: gerrit-photon <photon-checkins@vmware.com>
Reviewed-by: Alexey Makhalov <amakhalov@vmware.com>

DheerajSShetty authored on 2018/03/22 11:07:57
Showing 2 changed files
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Management tools and libraries relating to cryptography
2 2
 Name:           openssl
3 3
 Version:        1.0.2n
4
-Release:        1%{?dist}
4
+Release:        2%{?dist}
5 5
 License:        OpenSSL
6 6
 URL:            http://www.openssl.org
7 7
 Group:          System Environment/Security
... ...
@@ -9,6 +9,7 @@ Vendor:         VMware, Inc.
9 9
 Distribution:   Photon
10 10
 Source0:        http://www.openssl.org/source/%{name}-%{version}.tar.gz
11 11
 %define sha1    openssl=0ca2957869206de193603eca6d89f532f61680b1
12
+Source1:        rehash_ca_certificates.sh
12 13
 Patch0:         c_rehash.patch
13 14
 Patch1:         openssl-1.0.2n-ipv6apps.patch
14 15
 Patch2:         openssl-init-conslidate.patch
... ...
@@ -72,6 +73,7 @@ make
72 72
 %install
73 73
 [ %{buildroot} != "/"] && rm -rf %{buildroot}/*
74 74
 make INSTALL_PREFIX=%{buildroot} MANDIR=/usr/share/man MANSUFFIX=ssl install
75
+install -p -m 755 -D %{SOURCE1} %{buildroot}%{_bindir}/
75 76
 ln -sf libssl.so.1.0.0 %{buildroot}%{_libdir}/libssl.so.1.0.2
76 77
 ln -sf libcrypto.so.1.0.0 %{buildroot}%{_libdir}/libcrypto.so.1.0.2
77 78
 
... ...
@@ -113,8 +115,11 @@ rm -rf %{buildroot}/*
113 113
 
114 114
 %files c_rehash
115 115
 /%{_bindir}/c_rehash
116
+/%{_bindir}/rehash_ca_certificates.sh
116 117
 
117 118
 %changelog
119
+*   Wed Mar 21 2018 Dheeraj Shetty <dheerajs@vmware.com> 1.0.2n-2
120
+-   Add script which rehashes the certificates
118 121
 *   Tue Jan 02 2018 Xiaolin Li <xiaolinl@vmware.com> 1.0.2n-1
119 122
 -   Upgrade to 1.0.2n
120 123
 *   Tue Nov 07 2017 Anish Swaminathan <anishs@vmware.com> 1.0.2m-1
121 124
new file mode 100755
... ...
@@ -0,0 +1,15 @@
0
+#!/bin/bash
1
+
2
+set -e
3
+
4
+CERTIFICATES_PATH="/etc/ssl/cers/"
5
+CONCATENATED_CERT_FILE="/etc/pki/tls/certs/ca-bundle.crt"
6
+
7
+/usr/bin/c_rehash $CERTIFICATES_PATH
8
+
9
+if [ $? != 0 ]; then
10
+    echo "Error while c_rehashing"
11
+fi
12
+
13
+cat $CERTIFICATES_PATH*.pem > $CONCATENATED_CERT_FILE
14
+